Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Class ExecutionError

    java.lang.Object
      org.joseki.server.ExecutionError

public class ExecutionError
extends java.lang.Object

Version:
  $Id: ExecutionError.java,v 1.5 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary
`static java.lang.String[]` | `messages`
`static int` | `rcArgumentError`
`static int` | `rcArgumentUnreadable`
`static int` | `rcConfigurationError`
`static int` | `rcImmutableModel`
`static int` | `rcInternalError`
`static int` | `rcNoSuchQueryLanguage`
`static int` | `rcNoSuchURI`
`static int` | `rcOK`
`static int` | `rcOperationNotSupported`
`static int` | `rcQueryExecutionFailure`
`static int` | `rcQueryParseFailure`
`static int` | `rcQueryUnknownFormat`
`static int` | `rcRDFException`
`static int` | `rcSecurityError`

Constructor Summary
`ExecutionError()`

Method Summary
`static java.lang.String` | `errorString(int rc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rcOK

    public static final int rcOK

See Also:
  Constant Field Values

### rcNoSuchQueryLanguage

    public static final int rcNoSuchQueryLanguage

See Also:
  Constant Field Values

### rcInternalError

    public static final int rcInternalError

See Also:
  Constant Field Values

### rcRDFException

    public static final int rcRDFException

See Also:
  Constant Field Values

### rcNoSuchURI

    public static final int rcNoSuchURI

See Also:
  Constant Field Values

### rcSecurityError

    public static final int rcSecurityError

See Also:
  Constant Field Values

### rcOperationNotSupported

    public static final int rcOperationNotSupported

See Also:
  Constant Field Values

### rcArgumentUnreadable

    public static final int rcArgumentUnreadable

See Also:
  Constant Field Values

### rcImmutableModel

    public static final int rcImmutableModel

See Also:
  Constant Field Values

### rcConfigurationError

    public static final int rcConfigurationError

See Also:
  Constant Field Values

### rcArgumentError

    public static final int rcArgumentError

See Also:
  Constant Field Values

### rcQueryParseFailure

    public static final int rcQueryParseFailure

See Also:
  Constant Field Values

### rcQueryExecutionFailure

    public static final int rcQueryExecutionFailure

See Also:
  Constant Field Values

### rcQueryUnknownFormat

    public static final int rcQueryUnknownFormat

See Also:
  Constant Field Values

### messages

    public static java.lang.String[] messages

Constructor Detail

### ExecutionError

    public ExecutionError()

Method Detail

### errorString

    public static java.lang.String errorString(int rc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.